Appointment Reschedule
This endpoint allows you to reschedule an appointment to a new time. If the time is valid, we will attempt to reschedule the appointment with the same employee. If that employee is not available, another employee belonging to the specified employee group will be selected randomly.
PUT
/api/v2/appointments/:appointment_id/group/:group_id/bookRequest
Response
Example responseJSON200 · application/json
{"data": { "appointment": { "id": 952, "status": 30, "start": "2019-07-20T05:00:00+00:00", "end": "2019-07-20T05:30:00+00:00", "notes": "Please mind the gap", "location": "Near the fountain of the building's main entrance" }}}Invalid Appointment Time (400)
Below is an example error response. In this example, attempting to reschedule an appointment in the past.
Error responseJSON400 · application/json
{"errors": { "appointment": {"start": ["The date and time you selected is in the past"]}}}